package com.rjconsultores.ventaboletos.entidad;

import java.util.List;

/**
 * 
 * @author Eduardo Classe responsável pela geração das linhas automaticamente identificando origem e destino
 */
public class ParadaSecuenciaCombinacaoLinha {

	private ParadaSecuencia origem;
	private List<ParadaSecuencia> destinos;
	private Via via;
	private String kmReal = "";
	private String kmEntradaSaida = "";
	private String tempoReal = "";

	public String getKmReal() {
		return kmReal;
	}

	public void setKmReal(String kmReal) {
		this.kmReal = kmReal;
	}

	public String getKmEntradaSaida() {
		return kmEntradaSaida;
	}

	public void setKmEntradaSaida(String kmEntradaSaida) {
		this.kmEntradaSaida = kmEntradaSaida;
	}

	public String getTempoReal() {
		return tempoReal;
	}

	public void setTempoReal(String tempoReal) {
		this.tempoReal = tempoReal;
	}

	public ParadaSecuencia getOrigem() {
		return origem;
	}

	public void setOrigem(ParadaSecuencia origem) {
		this.origem = origem;
	}

	public List<ParadaSecuencia> getDestinos() {
		return destinos;
	}

	public void setDestinos(List<ParadaSecuencia> destinos) {
		this.destinos = destinos;
	}
	
	public Via getVia() {
		return via;
	}
	
	public void setVia(Via via) {
		this.via = via;
	}
}